
From: "Randy.Dunlap" <rddunlap@osdl.org>

Moves PCI BIOS Access Mode help text to its top level instead of under
PCI_GOBIOS (which is only 1 of 4 possible choices).


---

 25-akpm/arch/i386/Kconfig |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/Kconfig~move-pcibios-help arch/i386/Kconfig
--- 25/arch/i386/Kconfig~move-pcibios-help	Fri Mar 12 14:16:26 2004
+++ 25-akpm/arch/i386/Kconfig	Fri Mar 12 14:16:26 2004
@@ -1065,9 +1065,6 @@ choice
 	prompt "PCI access mode"
 	depends on PCI && !X86_VISWS
 	default PCI_GOANY
-
-config PCI_GOBIOS
-	bool "BIOS"
 	---help---
 	  On PCI systems, the BIOS can be used to detect the PCI devices and
 	  determine their configuration. However, some old PCI motherboards
@@ -1083,6 +1080,9 @@ config PCI_GOBIOS
 	  direct access method and falls back to the BIOS if that doesn't
 	  work. If unsure, go with the default, which is "Any".
 
+config PCI_GOBIOS
+	bool "BIOS"
+
 config PCI_GOMMCONFIG
 	bool "MMConfig"
 

_
